<?php
namespace API\Provigis\Exception;

class ProvigisWsResponseBodyException extends \Exception
{
    /**
     * @param mixed $payload
     */
    public function __construct($payload, string $field_path)
    {
        parent::__construct('Invalid "'.$field_path.'" in '.json_encode($payload));
    }
}
